Loading...
Searching...
No Matches
etl::imap< TKey, TMapped, TKeyCompare >::const_iterator Class Reference

const_iterator More...

`#include <map.h>`

## Public Member Functions

| const_iterator (const imap &map)
| const_iterator (const imap &map, const Node *node)
| const_iterator (const typename imap::iterator &other)
| const_iterator (const const_iterator &other)
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator-- ()
const_iterator | operator-- (int)
const_iterator & | operator= (const const_iterator &other)
const_reference | operator* () const
const_pointer | operator& () const
const_pointer | operator-> () const

## Friends

class | imap
bool | operator== (const const_iterator &lhs, const const_iterator &rhs)
bool | operator!= (const const_iterator &lhs, const const_iterator &rhs)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::bidirectional_iterator_tag, const value_type >
typedef const value_type | value_type
typedef ptrdiff_t | difference_type
typedef const value_type * | pointer
typedef const value_type & | reference
typedef ETL_OR_STD::bidirectional_iterator_tag | iterator_category

## Detailed Description

template<typename TKey, typename TMapped, typename TKeyCompare = etl::less<TKey>>
class etl::imap< TKey, TMapped, TKeyCompare >::const_iterator

const_iterator

The documentation for this class was generated from the following file:

- include/etl/map.h